#!/bin/bash
source ../../compcommon.sh

C="$C $CSIG"
L="$L $LSIG"

M4 yyypostman.hpp.m4 yyypostman.hpp
M4 yyysigdeferer.hpp.m4 yyysigdeferer.hpp
CXX $C -c yyylowlevelnet.cpp
CXX $C -c yyyexceptions.cpp
CXX $C -c memchk.cpp
CXX $C -c fatal.cpp
CXX $C -c yyyzeit.cpp
CXX $C -c yyyscheduler.cpp
CXX $C -c selector.cpp
CXX $C -c yyysendables.cpp
CXX $C -c yyybinbuff.cpp

CXX $C -c exceptiontest.cpp
CXX $L -o exceptiontest memchk.o exceptiontest.o yyyexceptions.o fatal.o

CXX $C -c schedtest.cpp
CXX $L -o schedtest yyyscheduler.o schedtest.o selector.o yyyzeit.o fatal.o memchk.o

CXX $C -c server.cpp
CXX $L -o server yyysendables.o memchk.o yyylowlevelnet.o server.o fatal.o yyyscheduler.o selector.o yyyzeit.o yyyexceptions.o yyybinbuff.o

CXX $C -c client.cpp
CXX $L -o client yyysendables.o memchk.o yyylowlevelnet.o client.o fatal.o yyyscheduler.o selector.o yyyzeit.o yyyexceptions.o yyybinbuff.o

CXX $C -c nettest.cpp
CXX $L -o nettest memchk.o yyylowlevelnet.o nettest.o fatal.o yyyscheduler.o selector.o yyyzeit.o yyyexceptions.o

CXX $C -c sigcbug.cpp
CXX $L -o sigcbug memchk.o sigcbug.o fatal.o

CXX $C -c example.cpp
CXX $L -o example memchk.o example.o fatal.o
