#include "memchk.hpp"
#include "fatal.hpp"
#include "binarydefs.hpp"

#include <sigc++/signal_system.h>
#include <iostream>


// remove the /**/ around const to see libsigc bug
void recv_const_uint8 (/*const*/ uint8 a)
{
  cout << "recv_const_uint8 " << a << endl;
};

int main()
{
  memchk::resetsituation();
  {
    try {
      // remove the /**/ around const to see libsigc bug
      SigC::Signal1<void,/*const*/ uint8> s;
      s.connect(SigC::slot(&recv_const_uint8));
    } catch (const char *const x) {
      fatal(x);
    };
  };
  if (!memchk::everythingzero()) memchk::printstatistics(cout);
  
  return 0;
};
