#ifndef __BULLQTMW_HPP
#define __BULLQTMW_HPP

#include "yyynetwork.hpp"
#include "yyybinbuff.hpp"
#include "yyyqtscheduler.hpp"

#include <qwidget.h>
#include <qlabel.h>
#include <qlineedit.h>

using namespace yyyqtscheduler;
using namespace yyynetwork;
using namespace yyysmartptr;
using namespace yyybinbuff;

class mw : public QWidget {
  Q_OBJECT
public:
  typedef connection<scheduler,binbuff> con_t;
  typedef smartptr<con_t>sptr_con_t;
  typedef client<scheduler, binbuff> client_t;

  sptr_con_t mycon;
  client_t myclient;

  mw (QWidget *parent=0, const char *name=0);

private:
  QLabel *outconlabel, *inconlabel,*inctextlabel,*inccolorlabel;
  QLineEdit *newconlineedit;
private slots:
  void concloserbtslot();
  void connectto();
};

#endif
