include(macros.m4)dnl
dnl not produce output from this file
divert(-1)dnl

dnl $1 is count of parameters
dnl $2 is classname addon  $2==_foobar --> qtsigconv_foobar
dnl $3... are the parameter types
dnl makeqtconv_interface is for header files (.hpp)
dnl makeqtconv_implementation is for implementation files (.cpp)
define(makeqtconv_interface,[<dnl
class qtsigconv$2 : public QObject, public SigC::Object {
  Q_OBJECT

  // QT Signal --> qtsigconv --> sigc++ Slot
public:
  SigC::Signal$1<void[<>]REP($1,[<, getnr(eval(?-?+2),$@)>])> sigcxxsignal;
public slots:
  void qtslot (REP($1,[<getnr(eval(?-?+2),$@) m?-?>],KOMMA ));

  // sigc++ Signal --> qtsigconv --> QT Slot
signals:
  void qtsignal (REP($1,[<getnr(eval(?-?+2),$@) m?-?>],KOMMA ));
public:
  void sigcxxslot (REP($1,[<getnr(eval(?-?+2),$@) m?-?>],KOMMA ));
};

>])

define(makeqtconv_implementation,[<dnl
void qtsigconv$2::qtslot (REP($1,[<getnr(eval(?-?+2),$@) m?-?>],KOMMA ))
{
  sigcxxsignal.emit(REP($1,m?-?,KOMMA ));
};

void qtsigconv$2::sigcxxslot (REP($1,[<getnr(eval(?-?+2),$@) m?-?>],KOMMA ))
{
  qtsignal (REP($1,m?-?,KOMMA ));
};


>])

define(makeqtconv_interface_includefiles,[<dnl
#include <qobject.h>
#include <sigc++/signal_system.h>
>])

define(makeqtconv_implementation_header,[<dnl
#undef emit
// a sigc++ signal has a member called "emit", and qt has it as a macro which does nothing...

>])

dnl produce output from now on again
divert[<>]dnl
