/*

  fatal - fatal error routines
  Copyright (C) 2000  Erik Thiele

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef __FATAL_HPP
#define __FATAL_HPP

#include <string>

void fatal (const char *const msg);
void fatal (const string &msg);
void fatal_errno (const char *const msg);
void fatal_errno (const string &msg);
void warning (const char *const msg);
void warning (const string &msg);

#endif
