#include "qttest.hpp"

#include <qapplication.h>
#include <qpushbutton.h>
#include <qfont.h>

#include <iostream.h>

#include "qttestqtconv.hpp"

void mycool::mycoolslot (int i, char u)
{
  cout << "mycoolslot int " << i << "  char " << u << endl;
};

void mycool::mydirectslot()
{
  cout << "DIREKTSLOT!\n";
};

void myrrr::get ()
{
  cout << "myrrr::get()\n";
  send(5,'w');
  cout << "myrrr::get() end\n";
};

int main( int argc, char **argv )
{
  QApplication a( argc, argv );

  QPushButton quit( "Quit", 0 );
  quit.resize( 75, 30 );
  quit.setFont( QFont( "Times", 18, QFont::Bold ) );

  qtsigconv_int_char sc;
  qtsigconv sc2;
  myrrr ooo;
  mycool mc;

  QObject::connect(&quit,SIGNAL(clicked()),&sc2,SLOT(qtslot()));
  sc2.sigcxxsignal.connect(SigC::slot(&mc,&mycool::mydirectslot));

  QObject::connect( &quit, SIGNAL(clicked()), &ooo, SLOT(get()) );
  QObject::connect( &ooo, SIGNAL(send(int,char)), &sc, SLOT(qtslot(int,char)) );
  sc.sigcxxsignal.connect(SigC::slot(&mc,&mycool::mycoolslot));

  a.setMainWidget( &quit );
  quit.show();
  return a.exec();
};

